<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'rewards'}}]">Rewards ></a>
            </li>
            <li class="">
                Edit Rewards
            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Update Rewards
                    </div>
                    <div class="card-body">
                        <form [formGroup]="updateTravellerRewardForm" (ngSubmit)="onSubmit()">
                            <input type="hidden" name="id" id="id" formControlName="id">
                            <table class="table table-bordered" formArrayName="rewards">
                                <tr>
                                    <th colspan="3">Add Multiple Rewards: </th>
                                    <th width="150px"><button type="button" (click)="addRewards()"
                                            class="btn btn-primary">Add More</button></th>
                                </tr>
                                <tr *ngFor="let reward of rewards().controls; let i=index" [formGroupName]="i">
                                    <td>
                                        Reward details :
                                        <input type="text" formControlName="reward_details" class="form-control">
                                    </td>
                                    <td>
                                        Annual Cliam:
                                        <input type="text" formControlName="points_required" class="form-control">
                                    </td>
                                    <td>
                                        Points Required:
                                        <input type="text" formControlName="annual_claim" class="form-control">
                                    </td>
                                   
                                    <td>
                                        <button (click)="removeReward(i)" class="btn btn-danger">Remove</button>
                                    </td>
                                </tr>
                            </table>

                            <button type="submit" class="btn btn-success">Submit</button>

                        </form>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>